﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SliderExample
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

		}
	}

	public class TickTemplateSelector : DataTemplateSelector
	{
		public DataTemplate EllipseTemplate { get; set; }
		public DataTemplate EmptyTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			double tick = Convert.ToDouble(item);
			if (tick % 4 == 0.0)
			{
				return EllipseTemplate;
			}
			else
			{
				return EmptyTemplate;
			}
		}
	}
}
